Updates the contact with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "2c561c29-e898-4902-bad8-fe931769ce7d",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "10277def-9852-407d-a13a-403556237cfe",
"company_code": "sample string 5",
"company": {
"id": "f5234133-9b9b-49bc-ad33-0a3d56e697d1",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-11-18T19:01:35.4405614+00:00",
"sales_territory_id": "79f2eca4-8a60-4f24-a3a3-32675a1b3056",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "191b15e4-ec70-4454-a478-9d379459378a",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "b1a6fc35-68d5-4795-8266-36f8279d31eb",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "29ccf775-6b36-4796-bae1-6621a29aabe8",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "7d3dd8c2-18a2-4228-be47-3e1cb191e571",
"db_currency_id": "39ef37f9-8de3-48e1-a2f3-2a4a1f551428",
"db_language_id": "f7a6bbe9-87d7-49e2-b723-e87473cff8b0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-18T19:01:35.4405614+00:00"
},
"modified_dateutc": "2026-11-18T19:01:35.4405614+00:00"
},
"marketing_segment_id": "9492b1c1-a488-4e13-b20c-4c1708b24728",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "c9ad8fec-7dd5-4108-b16e-63d847ca860b",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "c7b89b88-ab74-4537-9559-8b842a15ca65",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "e45dfafd-4ff9-4973-91c1-a1699e31e956",
"db_country_code": "sample string 28",
"feelist_id": "097b554a-db03-4211-bb5d-5bb58283f780",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "e6d85f92-f6c0-46b4-8fe8-7ac5efd58931",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "035579f8-eaf5-4267-9ec8-d9a5745e1a35",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-18T19:01:35.4405614+00:00",
"db_currency_id": "38d8085b-61b0-409d-a18f-035f679640b1",
"db_currency_code": "sample string 10"
},
"company_type_id": "cfd2ed7b-e2b3-4a71-aecb-2ed975a3769e",
"company_type_name": "sample string 32",
"company_type": {
"id": "3048cf35-7782-4090-ac6f-019af4a32fcd",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "d8791d2f-d64e-4d92-bbf5-c20611b6c288",
"sales_organization_code": "sample string 5"
},
"db_language_id": "c4e88f91-21c8-4ab0-8717-cb3db177a0fb",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "c1cd933f-3393-46ae-be29-e7c35e3f2da4",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "1dd23515-0b40-4b14-b43a-fb4eabdd51c0",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "5d75533e-e2a5-40cf-8eba-39bf7202ff66",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-11-18T19:01:35.4405614+00:00"
},
"company_sector_id": "93348410-1620-4633-adbe-c966e8ff01cf",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "7dee1a36-4fc0-4322-b839-0e83fb51c273",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "bb449090-3f92-4778-b4de-c9216e6bab2b",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "37cf3e01-99ea-43a0-8b9e-983013e9e547",
"account_manager_user_code": "sample string 56",
"company_status_id": "2145514b-ef8e-4b8b-a211-0168cf9b1855",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-11-18T19:01:35.4405614+00:00",
"id2": 60
},
"db_language_id": "84fd4d57-21e7-43be-b61f-d992fd8c1c9a",
"db_language_code": "sample string 7",
"db_title_id": "76a15dc1-13ed-439d-9e59-d2d2834da2d8",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-11-18T19:01:35.4405614+00:00",
"create_date": "2026-11-18T19:01:35.4405614+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-11-18T19:01:35.4405614+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.